package com.ejie.y42b.dao.sql;

import com.ejie.y42b.constantes.Y42bAgendaConstantes;
import com.ejie.y42b.dao.constantes.Y42bConstantesTbEntidades;
import com.ejie.y42b.dao.constantes.Y42bConstantesTbGruposEntidades;

/**
 * 
 *  
 * 
 */
public class Y42bDAOEntidades {

	/**
	 * Constructor privado
	 */
	private Y42bDAOEntidades() {

	}

	/**
	 * Construye un StringBuffer con la SQL para obtener el detalle de un
	 * registro en concreto con los idiomas correspondientes
	 * 
	 * @param consulta
	 *            EntidadsCT
	 * @return StringBuffer con la SQL construida
	 */

	// public static final StringBuffer crearSQLObtenerListaGruposEntidades() {
	// StringBuffer sqlListaC = new
	// StringBuffer(Y42bAgendaConstantes.BUFFER_300);
	//
	// StringBuffer query = new StringBuffer(
	// "SELECT  t1.ENTIDAD_ID AS ENTIDADID, t1.NOMBRE_ES NOMBREES,t1.NOMBRE_EU NOMBREEU,t1.ACTIVA ACTIVA,t1.ISKONTSUMOGEST ISKONTSUMOGEST,t1.ISKONTSUMONET ISKONTSUMONET,t1.ISOFERTAFORM ISOFERTAFORM,t1.ISCONSULTASWEB ISCONSULTASWEB,t1.OBSERVACIONES OBSERVACIONES,t1.TELEFONO TELEFONO,t1.FAX FAX,t1.EMAIL EMAIL,t1.URL URL,t1.USUARIO USUARIO,t1.PASSWORD PASSWORD,t1.ISNACIONAL ISNACIONAL,t1.NORA_PAIS_ID NORAPAISID,t1.NOMBRE_PAIS NOMBREPAIS,t1.NORA_PROVINCIA_ID NORAPROVINCIAID,t1.NOMBRE_PROVINCIA NOMBREPROVINCIA,t1.NORA_MUNICIPIO_ID NORAMUNICIPIOID,t1.NOMBRE_MUNICIPIO NOMBREMUNICIPIO,t1.NORA_LOCALIDAD_ID NORALOCALIDADID,t1.NOMBRE_LOCALIDAD NOMBRELOCALIDAD,t1.NORA_CALLE_ID NORACALLEID,t1.NOMBRE_CALLE NOMBRECALLE,t1.NORA_CP_ID NORACPID,t1.NOMBRE_CP NOMBRECP,t1.NORA_PORTAL_ID NORAPORTALID,t1.NOMBRE_PORTAL NOMBREPORTAL,t1.USUULTMOD USUULTMOD,t1.FECULTMOD FECULTMOD "
	// + ", t2.GRUPO_ID FROM ENTIDAD t1, GRUPO_ENTIDAD t2 ");
	// query.append(" WHERE 1=1");
	// query.append(" AND ");
	// query.append(Y42bConstantesTbGruposEntidades.TABLA_GRUPOS_ENTIDADES).append(".").append(Y42bConstantesTbGruposEntidades.ENTIDAD_ID).append(" = ");
	// query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.ENTIDAD_ID);
	//
	// return query;
	// }

	/**
	 * Construye un StringBuffer con la SQL para obtener el detalle de un
	 * registro en concreto con los idiomas correspondientes
	 * 
	 * @return StringBuffer con la SQL construida
	 */

	public static final StringBuffer crearSQLObtenerListaEntidades() {
		StringBuffer query = new StringBuffer(Y42bAgendaConstantes.BUFFER_300);

		query.append(" SELECT ");
		query.append(Y42bConstantesTbGruposEntidades.TABLA_GRUPOS_ENTIDADES).append(".").append(Y42bConstantesTbGruposEntidades.ENTIDAD_ID).append(" , ");
		query.append(Y42bConstantesTbGruposEntidades.TABLA_GRUPOS_ENTIDADES).append(".").append(Y42bConstantesTbGruposEntidades.GRUPO_ID).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.ENTIDAD_ID).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NOMBRE_ES).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NOMBRE_EU).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.ACTIVA).append(" , ");

		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.ISCONSULTASWEB).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.ISKONTSUMOGEST).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.ISKONTSUMONET).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.ISNACIONAL).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.ISOFERTAFORM).append(" , ");

		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.OBSERVACIONES).append(" , ");

		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.EMAIL).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.TELEFONO).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.FAX).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.URL).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.USUARIO).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.PASSWORD).append(" , ");

		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NOMBRE_CALLE).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NOMBRE_CP).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NOMBRE_LOCALIDAD).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NOMBRE_MUNICIPIO).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NOMBRE_PAIS).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NOMBRE_PORTAL).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NOMBRE_PROVINCIA).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NORA_PORTAL_ID).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NORA_CALLE_ID).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NORA_CP_ID).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NORA_LOCALIDAD_ID).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NORA_MUNICIPIO_ID).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NORA_PROVINCIA_ID).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NORA_PAIS_ID).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.USUULTMOD).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.FECULTMOD);
		query.append(" FROM ");
		query.append(Y42bConstantesTbGruposEntidades.TABLA_GRUPOS_ENTIDADES);
		query.append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES);
		query.append(" WHERE ");
		query.append(Y42bConstantesTbGruposEntidades.TABLA_GRUPOS_ENTIDADES).append(".").append(Y42bConstantesTbGruposEntidades.ENTIDAD_ID).append(" = ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.ENTIDAD_ID);

		return query;
	}

	/**
	 * Construye un StringBuffer con la SQL para obtener el detalle de un
	 * registro en concreto con los idiomas correspondientes
	 * 
	 * @return StringBuffer con la SQL construida
	 */

	public static final StringBuffer crearSQLObtenerDetalleEntidad() {
		StringBuffer query = new StringBuffer(Y42bAgendaConstantes.BUFFER_300);

		query.append(" SELECT ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.ENTIDAD_ID).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NOMBRE_ES).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NOMBRE_EU).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.ACTIVA).append(" , ");

		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.ISCONSULTASWEB).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.ISKONTSUMOGEST).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.ISKONTSUMONET).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.ISNACIONAL).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.ISOFERTAFORM).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.CODORG).append(" , ");
		
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.OBSERVACIONES).append(" , ");

		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.EMAIL).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.TELEFONO).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.FAX).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.URL).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.USUARIO).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.PASSWORD).append(" , ");

		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NOMBRE_CALLE).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NOMBRE_CP).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NOMBRE_LOCALIDAD).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NOMBRE_MUNICIPIO).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NOMBRE_PAIS).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NOMBRE_PORTAL).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NOMBRE_PROVINCIA).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NORA_PORTAL_ID).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NORA_CALLE_ID).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NORA_CP_ID).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NORA_LOCALIDAD_ID).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NORA_MUNICIPIO_ID).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NORA_PROVINCIA_ID).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.NORA_PAIS_ID).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.USUULTMOD).append(" , ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES).append(".").append(Y42bConstantesTbEntidades.FECULTMOD);
		query.append(" FROM ");
		query.append(Y42bConstantesTbEntidades.TABLA_ENTIDADES);

		return query;
	}

}
